Version in base suite: 2:4.5.12+dfsg-2+deb9u3

Version in overlay suite: 2:4.5.16+dfsg-1

Base version: samba_2:4.5.12+dfsg-2+deb9u3

Target version: samba_2:4.5.16+dfsg-1

Base files: ctdb-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb ctdb_4.5.12+dfsg-2+deb9u3_mipsel.deb libnss-winbind-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb libnss-winbind_4.5.12+dfsg-2+deb9u3_mipsel.deb libpam-winbind-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb libpam-winbind_4.5.12+dfsg-2+deb9u3_mipsel.deb libparse-pidl-perl_4.5.12+dfsg-2+deb9u3_mipsel.deb libsmbclient-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb libsmbclient-dev_4.5.12+dfsg-2+deb9u3_mipsel.deb libsmbclient_4.5.12+dfsg-2+deb9u3_mipsel.deb libwbclient-dev_4.5.12+dfsg-2+deb9u3_mipsel.deb libwbclient0-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb libwbclient0_4.5.12+dfsg-2+deb9u3_mipsel.deb python-samba-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb python-samba_4.5.12+dfsg-2+deb9u3_mipsel.deb registry-tools-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb registry-tools_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-common-bin-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-common-bin_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-dev_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-dsdb-modules-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-dsdb-modules_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-libs-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-libs_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-testsuite-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-testsuite_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-vfs-modules-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb samba-vfs-modules_4.5.12+dfsg-2+deb9u3_mipsel.deb samba_4.5.12+dfsg-2+deb9u3_mipsel.deb smbclient-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb smbclient_4.5.12+dfsg-2+deb9u3_mipsel.deb winbind-dbgsym_4.5.12+dfsg-2+deb9u3_mipsel.deb winbind_4.5.12+dfsg-2+deb9u3_mipsel.deb

Target files: ctdb-dbgsym_4.5.16+dfsg-1_mipsel.deb ctdb_4.5.16+dfsg-1_mipsel.deb libnss-winbind-dbgsym_4.5.16+dfsg-1_mipsel.deb libnss-winbind_4.5.16+dfsg-1_mipsel.deb libpam-winbind-dbgsym_4.5.16+dfsg-1_mipsel.deb libpam-winbind_4.5.16+dfsg-1_mipsel.deb libparse-pidl-perl_4.5.16+dfsg-1_mipsel.deb libsmbclient-dbgsym_4.5.16+dfsg-1_mipsel.deb libsmbclient-dev_4.5.16+dfsg-1_mipsel.deb libsmbclient_4.5.16+dfsg-1_mipsel.deb libwbclient-dev_4.5.16+dfsg-1_mipsel.deb libwbclient0-dbgsym_4.5.16+dfsg-1_mipsel.deb libwbclient0_4.5.16+dfsg-1_mipsel.deb python-samba-dbgsym_4.5.16+dfsg-1_mipsel.deb python-samba_4.5.16+dfsg-1_mipsel.deb registry-tools-dbgsym_4.5.16+dfsg-1_mipsel.deb registry-tools_4.5.16+dfsg-1_mipsel.deb samba-common-bin-dbgsym_4.5.16+dfsg-1_mipsel.deb samba-common-bin_4.5.16+dfsg-1_mipsel.deb samba-dbgsym_4.5.16+dfsg-1_mipsel.deb samba-dev_4.5.16+dfsg-1_mipsel.deb samba-dsdb-modules-dbgsym_4.5.16+dfsg-1_mipsel.deb samba-dsdb-modules_4.5.16+dfsg-1_mipsel.deb samba-libs-dbgsym_4.5.16+dfsg-1_mipsel.deb samba-libs_4.5.16+dfsg-1_mipsel.deb samba-testsuite-dbgsym_4.5.16+dfsg-1_mipsel.deb samba-testsuite_4.5.16+dfsg-1_mipsel.deb samba-vfs-modules-dbgsym_4.5.16+dfsg-1_mipsel.deb samba-vfs-modules_4.5.16+dfsg-1_mipsel.deb samba_4.5.16+dfsg-1_mipsel.deb smbclient-dbgsym_4.5.16+dfsg-1_mipsel.deb smbclient_4.5.16+dfsg-1_mipsel.deb winbind-dbgsym_4.5.16+dfsg-1_mipsel.deb winbind_4.5.16+dfsg-1_mipsel.deb

Postinst files of package samba: lines which differ

nmbd_error_handler() {
if [ -d /sys/class/net/lo ] && ls /sys/class/net | grep -qv ^lo$; then
# https://bugs.debian.org/893762
echo 'WARNING: nmbd failed to start as there is no non-loopback interfaces available.'
echo 'Either add an interface or set "disable netbios = yes" in smb.conf and run "systemctl mask nmbd"'
return 0
elif command -v ip > /dev/null && ip a show | grep '^[[:space:]]*inet ' | grep -vq ' lo$'; then
# https://bugs.debian.org/859526
echo 'WARNING: nmbd failed to start as there is no local IPv4 non-loopback interfaces available.'
echo 'Either add an IPv4 address or set "disable netbios = yes" in smb.conf and run "systemctl mask nmbd"'
return 0
else
echo 'ERROR: nmbd failed to start.'
return 1 # caught by set -e
fi
}
invoke-rc.d nmbd start || exit $? nmbd_error_handler

Prerm files of package samba: lines which differ

invoke-rc.d nmbd stop || exit $? nmbd_error_handler